﻿/*created by Acoptex.Com, http://acoptex.com
Control SG90 Micro Servo Motor with Csharp app 
30.10.2018*/
using System;
using System.Windows.Forms;
using System.IO;
using System.IO.Ports;

namespace RelayControlApp
{
    public partial class Form1 : Form
    {
        SerialPort ComPort = new SerialPort();
        public Form1()
        {
            InitializeComponent();
            
            ComPort.Close();
            ComPort.PortName = "com3"; //you need to check which com port your arduino is using, and change them if you need
            ComPort.BaudRate = 115200;
            ComPort.DataBits = 8;
            ComPort.Parity = Parity.None;
            ComPort.StopBits = StopBits.One;
            ComPort.Handshake = Handshake.None;
            ComPort.Encoding = System.Text.Encoding.Default;
        }

        private void btn90L_Click(object sender, EventArgs e)
        {
            ComPort.Open();
            ComPort.Write("0");
            ComPort.Close();
        }

        private void btn90R_Click(object sender, EventArgs e)
        {
            ComPort.Open();
            ComPort.Write("1");
            ComPort.Close();
        }

        private void btn180L_Click(object sender, EventArgs e)
        {
            ComPort.Open();
            ComPort.Write("2");
            ComPort.Close();
        }

        private void btn180R_Click(object sender, EventArgs e)
        {
            ComPort.Open();
            ComPort.Write("3");
            ComPort.Close();
        }
    }
}
